	program wpjdst1
C ....................................................Mar. 2013
C Geoeffectiveness of Dst on W+,W- occurrence (storms Dst_peak -1day +2 days select: 
C input :dstwjoc1.txt (for Dst=<100nT), dstwjoc2.txt (moderate -100<Dst=<50 nT)
C Wpmax, W+max,W-max occurrence(~probability) + calculate probability of Shocks, MCs, CIR events
C
C IONEX JPL based maps of W index
C for glat=-87.5:2.5:87.5, glong=-180:5:175  (5112)
C
c from hourly IONEX maps
c
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64 infile,outfile
C

	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT

C start reading <dststorm.txt> 
	outfile='wpjdst1.txt'
  	OPEN(12,FILE=outfile,ACCESS='APPEND')
crem	infile='dstwjoc2.txt' ! moderate storms
	infile='dstwjoc1.txt' !	intense storms
      OPEN(11,FILE=infile,action='READ')

C
  301	format(2(1X,I4),1X,F6.0)
  302	format(11X,I4,1X,I4)
  303	format(2(1X,I4),1X,F6.0,2(1X,I4))
  304	format(1X,I4)
      DO 402 ist=1,230 ! moderate Dst events
	read(11,301) iv,idst,dstpeak 
	iwpmax=0
	iwnmax=0
crem	do k=1,49					! ! moderate storms
	do k=1,73
	read(11,304) iv1
	if (iv1.eq.ist+1) then
	backspace(11)
	goto 405
	else
	backspace(11)
	endif
	read(11,302) iwp,iwn
	if (iwpmax.lt.iwp) iwpmax=iwp
	if (iwnmax.lt.iwn) iwnmax=iwn
	enddo
  405	write(*,303)  iv,idst,dstpeak,iwpmax,iwnmax 
	write(12,303)  iv,idst,dstpeak,iwpmax,iwnmax 
C
  402 CONTINUE ! to next input
C
      goto 909
C
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  909 continue
	CLOSE(unit=11)
	CLOSE(unit=12)
 1130	continue  ! cycle mn-to-mn
	pause ' '
      STOP
      END

