C.......................................................Mar 2019
C Calculate cross-correlation of 2 arrays given lag=-6,-5,-4,...-1,0,1,...5, 6 hrs
C Model of Prpb. W+, W- versus Dst
C 
      program crosslag3
C      output	cmaprms2.txt
C
      DIMENSION dinp(73,7)
C	+,x(73),y(73),z(73)
     +,x(37),y(37),z(37)
	character*45 infile,outfile
	character*6 tit(7),title
c
c
Cmedians intense
crem	infile='med3-1.txt'
C Moderate storms
	infile='med3-2.txt'

	outfile='crosslagw3.txt'
   21	format(1X,F9.4,2(4X,F6.5))
   23	format(A6)
C
   18	OPEN(11,FILE=infile,action='READ')
     
	OPEN(10,FILE=outfile,ACCESS='APPEND')
        write(*,*) infile
	write(10,*) infile
C
       DO kk=1,7
      read(11,23) title
	tit(kk)=title
	DO i=1,73
	read(11,*) dinp(i,kk) ! 
      ENDDO
	 ENDDO
      close(unit=11)
C
C
C
C
C Cycle on arrays
C
      DO 1234 kk=2,7
	write(*,23) tit(1)
	write(10,23) tit(1)
	write(*,23) tit(kk)
	write(10,23) tit(kk)
C
C+	do n=1,73
	do n=1,37
c+	x(n)=dinp(n,1)
c+	y(n)=dinp(n,kk)	   ! W+- probability
	x(n)=dinp(n+12,1)
	y(n)=dinp(n+12,kk)	   ! W+- probability
	enddo

Cycle on lag (delay of Wp after Dst)
	irun=0
  119	continue
	irun=irun+1 
      DO 120 lag=0,12
c+	nrun=73-lag
	nrun=37-lag
	sx=0.
	sy=0.
	do jj=1,nrun
	sx=sx+x(jj)
	z(jj)=y(jj+lag)
	sy=sy+y(jj)
	enddo
	sx=sx/nrun
	sy=sy/nrun
	sum1=0.
	sum2=0.
	sum3=0.
	do jj=1,nrun
	sum1=sum1+(x(jj)-sx)*(z(jj)-sy)
      sum2=sum2+(x(jj)-sx)**2
      sum3=sum3+(y(jj)-sy)**2
	enddo
	cxy=sum1/sqrt(sum2*sum3)
	write(*,22) irun,nrun,lag,cxy,x(1),y(1),z(1)
	write(10,22) irun,nrun,lag,cxy,x(1),y(1),z(1)
  120	continue
C
  22	format(1X,3(1X,I2),1X,F7.3,3(1X,F8.3))
	if (irun.eq.1) then
c+	do m=1,73
	do m=1,37
c+	z(m)=dinp(m,1)
c+	x(m)=dinp(m,kk)  !W-+
	z(m)=dinp(m+12,1)
	x(m)=dinp(m+12,kk)  !W-+
	y(m)=z(m)
	enddo
	goto 119
	else
	 GOTO 1234
	endif
1234	CONTINUE
      GOTO 33
C
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34
   33	continue
  98	close(unit=10)
      write(*,*) infile,outfile
      pause ' ' 
   34   STOP
       END

