C........................................................Jan 2022
C Decode CODE 1h updated
C input <corgDDD0.iYR> IONEX files:
C from glats [87.5:-2.5:-87.5], glongs [-180:5:180] to produce 1h TEC file
C  corg  
C         lati:  87.5, 85.0,...,0,...,-87.5 ==> i=1,2,...71
C         longi:-180.0, -175.0,... 0...180.0 ==> j=0,...,72
C output <d:\web\graf\dtu\YR\MN\ut\tcMNDDUTMM.uYR>
C 
C Gulyaeva Tamara <gulyaeva@izmiran.ru>
      PROGRAM decorgw
C
C Extract maps TEC from daily UPC-IONEX file
C----------------------------------------------------------------
C Select :Input 71 geographic latitudes: res1=87.5,85,,.0..-87.5N 
C at: 0,1,...,72 geographic longitudes [-180,-175,...,180] = IONEX step
C Produce maps tc (TEC) for 00:00, 00:15, 00:30, 00:45, 01:00,..., 23:45 UT..uYR  
C
C*********TEST
	 integer IM(12)
	CHARACTER*2 AYR,AMN,ADY
	character*1 gh,cc		! indicator = t(tc(), w(wc)
C cc='a','b','c'
	DIMENSION GLATS(71),GLONS(0:72)
c	 INTEGER*2 iyr,imn,idy
C**********TEST
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*4 AYEAR
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
      ICALLS=0
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
      WRITE(*,'(\A\)') ' ENTER YEAR OF INPUT FILE='
      READ(*,'(A)') AYEAR
C--	AYEAR='2021' !temp
	write(*,*) ' Year=',AYEAR
	read(ayear,*) xyear
	IYYYY=int(xyear)
		ayr=ayear(3:4)
	read(AYR,*) ryr
	IYR=int(ryr)   ! current yr
	z1=iyr/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyr) THEN
               IM(2)=29
	dnr=366.
      ndnr=366
	  ELSE
                IM(2)=28
	  	dnr=365.
	ndnr=365
	       ENDIF
C
C      WRITE(*,'(\A\)') ' ENTER f, h, t or w for INPUT FILE='
C      READ(*,'(A)') gh
C      WRITE(*,'(\A\)') ' ENTER a, or b, or c for INPUT/output FILE='
C      READ(*,'(A)') cc
      cc='c'     
	gh='t'
ctemp	gh='w'
C
	glat=-90.
	DO i=1,71
	glat=glat+2.5
	glats(i)=glat
	ENDDO
C
	glon=-185.
	do i=0,72
	glon=glon+5.0
	glons(i)=glon
	enddo
C
      WRITE(*,'(\A\)') ' ENTER MN OF INPUT FILE='
      READ(*,'(A)') AMN
CNORM        DO 150 imn=1,12
CNORM	call blet2(imn,AMN'
       read(AMN,*) rmn
	imn=int(rmn)
C	AMN='04' ! temp
	write(*,*) ' MN=',AMN

		WRITE(*,*) 'Enter ndy1, ndy2 for input: '
 	read(*,987) idy1,idy2
  987	format(I2)
C?	call blet2(nndy,DY1)
C?	call blet2(ndyend,DY2)
C?	ady0=DY1
C
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

C
	IRUN=0 ! NORMAL COMMAND
C
  118	format(A4)
cc	pause  ' '
C
C =========================================
c
       ndmn=im(imn)
CC
  199	format(' day=',A2)


c outfiles =================================
	idy=idy1
  80	call blet2(idy,ADY)
	write(*,199) ady
C
c ***************************************************************

   89 format(2X,I4,4(4X,I2))

C   85	continue
      write(*,*) ayear,amn,ady
C
C 
      call subtecut(AYR,AMN,ADY)
C --------------- 

 182	format(73(1X,I4))							
	 
  32		irun=irun+1 
C

C 
  101 idy=idy+1
	irun=0
c	pause ' '
	if ((idy.le.idy2).and.(idy1.lt.idy2)) then
	goto 80
	else
		goto 35	   ! end of calculations
	endif
C
    2 CONTINUE
      if (irun.eq.0) then
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 35
      endif

   35 write(*,*) irun
C temp
      pause ' ' 
      STOP
       END

C***********************************************************
