	subroutine subprobvs(AYR,AMN,IDY1,IDY2)
C.....................................................Mar. 2019
C day-by-day calculation of pVs+ and pVs-
C.....................................................
C Probability of occurrence of Vs+ , Vs- storm
C produce counts of CVsp=2& 3 & 4, /64800 grids on map * 100% (Occur.%)
C produce counts of CVsn=-3 & -3 & -4, /64800 grids on map * 100% (Occur.%)
C CWt=cwp+cwn
C
C JPL maps 1x1 deg
C
C IONEX maps
C for glat=-89.5:1:89.5, glong=-179.5:1:179.5  (360x180 => 64800 grids)
C Correction of (Vs+max-Vs-max)*(1+cntstrm/64800)
C
C
C
c from hourly (15min) IONEX maps
c
	DIMENSION IRESP(0:359),IRESN(0:359),DHR(0:359),IM(12)
C 
     +,IRES(0:359)
	 INTEGER*2 IYR,IMN,IDY,idy1,idy2,iut
	CHARACTER*64,infile,outfile,outfilep,outfilen,title
	CHARACTER*135 wpast(0:365),wwpos(0:365),wwneg(0:365),txt
	CHARACTER*2 AYR,AMN,AUT,ADY
	+,aa(24),bb
	CHARACTER*6 YRMNDY
	CHARACTER*4 AMEAN
      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
	DATA aa/'00','01','02','03','04','05','06','07','08','09','10'
	+,'11','12','13','14','15','16','17','18','19','20','21','22','23'/
	bb='UT'
	amean='mean'
	title='YYMMDD UT CNTNEG CNTPOS CNTTOT   TOT%    Vs'

C start
	read(ayr,*) year
	iyr=int(year)
	if(int(year/4.)*4.eq.iyr) THEN 
	ndnr=366
	im(2)=29
	                          ELSE
	ndnr=365
	im(2)=28
	ENDIF
C
C  month
	read(amn,*) rmn
	imn=int(rmn)

 13   FORMAT(I2)

CC CALCULATION OF DAYS OF YEAR	
      infile='d:\web\drs\YR\MN\vlMNDYUT00.jYR' ! JPL Vs(glat & glong map)
  	infile(12:13)=ayr
	infile(15:16)=amn
  	infile(30:31)=ayr
	infile(20:21)=amn
      outfile='vltocYR.txt'	!Vs-indices from Vs-maps geogr.coord.<oc>=occurrence
	outfile(6:7)=AYR
 	outfilep=outfile
	outfilen=outfile
	outfilep(1:1)='p'
	outfilen(1:1)='n'
   14	format(1X,A43)
C
  	OPEN(112,FILE=OUTFILE)
	OPEN(113,FILE=OUTFILEP)
	OPEN(114,FILE=OUTFILEN)
 198	format(4X,A2,24(3X,A2),3X,A5)
C
	lda1=ndoy(iyr,imn,idy1)  ! day-of-year
	mndy=im(imn)
  130	format(A135)

	if((imn.eq.1).and.(idy1.eq.1)) then 

	write(112,198) bb,aa,amean
	write(113,198) bb,aa,amean
	 write(114,198) bb,aa,amean
      write(*,198) bb,aa,amean
	goto 197 ! avoid read-re-write
	endif
C
C read-re-write outfile for days from 1 to lda1-1:
	ncnt=0
	do 149 ipast=0,lda1-1
	read(112,130,END=151,ERR=2) txt
	wpast(ipast)=txt
	YRMNDY=txt(1:6)
  151	read(113,130,END=152,ERR=2) txt
 	wwpos(ipast)=txt
  152	read(114,130,END=153,ERR=2) txt
 	wwneg(ipast)=txt
	if (yrmndy.eq.'      ') goto 149
	ncnt=ncnt+1
  149	continue
  153 close(unit=112)
      close(unit=113)
	close(unit=114)
C
  	OPEN(112,FILE=OUTFILE)
	OPEN(113,FILE=OUTFILEP)
	OPEN(114,FILE=OUTFILEN)
C re-write past data:
	do ipast=0,ncnt-1
	write(112,130) wpast(ipast)
c	write(*,130) wpast(ipast)  ! test
	write(113,130) wwpos(ipast)
	write(114,130) wwneg(ipast)
	enddo
      close(unit=112)
      close(unit=113)
	close(unit=114)
CC  
  197 continue
  	OPEN(112,FILE=OUTFILE,ACCESS='APPEND')
	OPEN(113,FILE=OUTFILEP,ACCESS='APPEND')
	OPEN(114,FILE=OUTFILEN,ACCESS='APPEND')

C
C  day-to-day cycle
C ========================================

       DO 500 idy=idy1,idy2
	lda=ndoy(iyr,imn,idy)  ! day-of-year
	call blet2(idy,ady)
	infile(22:23)=ady
C	if (idy.eq.idy1) then
C?	infile(19:19)='o'		  ! last observaed file
C	else
C	infile(19:19)='a'         ! one day prediction file
C	endif
C
      do k=0,23
	ires(k)=0
	iresp(k)=0
	iresn(k)=0
	enddo
C
 	sum=0.
	sumn=0.
	sump=0.

C cycle on UT:
C -----------------------------------------------------
      DO 801 iut=0,23		! cycle on UT
	call blet2(iut,aut)
	infile(24:25)=aut
	OPEN(111,FILE=INFILE)
c
	cnttot=0.       !!!new for W-map
	cntneg=0.       !!!new for W-map
	cntpos=0.       !!!new for W-map
C ===== Input datafile 
 1311	DO 1799 jj=1,180	  ! glats= -87.5:2.5:87.5
c	pause ' '
    1	READ (111,12,END=3,ERR=2) (DHR(k),k=0,359) ! W(longs=-180:5:175)
  12	FORMAT(360(1X,F4.0))
C
	DO k=0,359				! Cycle on Longi	 <<<<<<<<
C++	Count stormy indices W-:
	if (dhr(k).lt.-2.) then 
      cntneg=cntneg+1.  !!!new for Vs map
	cnttot=cnttot+1.  !!!new for Vs map
	 endif
C++	Count stormy indices W+:
		if (dhr(k).gt.2.) then 
      cnttot=cnttot+1.  !!!new for Vs map
	cntpos=cntpos+1.  !!!new for Vs map
	 endif

	enddo		    ! Cycle on Longi	 >>>>>>>>>>>>>


 1799	CONTINUE				   ! Cycle jj on glats (total W map)
  3   CLOSE(unit=111)

C----------------------------------------------------------
C?	cres=cnttot/0.5112	   !/64800*100=/648.00
	cres=cnttot/6.48
	cresp=cntpos/6.48
	cresn=cntneg/6.48
	ires(iut)=nint(cres) !prob*10000. = occur*100,%
	iresn(iut)=nint(cresn)
	iresp(iut)=nint(cresp)
c   
  801 continue            ! end cycle on UT 

C  Daily mean:
C
	sum=0.
	sump=0.
	sumn=0.
		do m=0,23      ! cycle on UT		======
 175	sum=sum+float(ires(m))
	sump=sump+float(iresp(m))
	sumn=sumn+float(iresn(m))
	enddo							 !=========
	isum=nint(sum/24.)
	isump=nint(sump/24.)
	isumn=nint(sumn/24.)
	yrmndy='000000'
	yrmndy(1:2)=AYR
	yrmndy(3:4)=AMN
	yrmndy(5:6)=ADY	
	write(*,72) yrmndy,(ires(k),k=0,23),isum
 	write(*,72) yrmndy,(iresp(k),k=0,23),isump
 	write(*,72) yrmndy,(iresn(k),k=0,23),isumn
	write(112,72) yrmndy,(ires(k),k=0,23),isum
		write(113,72) yrmndy,(iresp(k),k=0,23),isump
		write(114,72) yrmndy,(iresn(k),k=0,23),isumn
C
  500	CONTINUE ! next day
C
  100	CONTINUE ! next	month
   72 format(A6,24(1X,I4),1X,I6)
	CLOSE(unit=112)
	CLOSE(unit=113)
	CLOSE(unit=114)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
c      pause ' '
  900	RETURN
c//      STOP
      END

