      program devgeo1
C........................................................Feb. 2019
C
C W-index for 1 station.
C
C T.L.Gulyaeva .................................................
C
C FORMAT from 7 prec. days
C Include logarithmic scale indices -4,  -3,    -2,    -1,0, 1,    2,    3,   4
C Equivalent to log10(TEC/TECmed)= <-.301, -.155, -.045   0,  0.45, .155, .301 >
C                              
C Ref. Gulyaeva T.L. Logarithmic scale of ionospheric disturbances,
C      Geomagn.and Aeronomy, 1996, 36, 1, 160-163, 1996.
C
      DIMENSION IM(12),X1(7,0:23),X2(7,0:23)
     +,DA(0:8,0:23) ! TEC 7prec_days+curr_day=8
     +,XMED(0:23),DEV(0:23)
	dimension rx(0:23)
	integer*4 IRES(0:23),imed(0:23)
	integer*2 IYR,IMN,IDY,IUT,jyr_pre,jmn_pre,jdy_pre
	+,IDY1,IDY2,nndy ! available for idy1 to idy2
     +,imni,iyri
	CHARACTER*48 INFILE1,INFILE2,OUTFILE,OUTFILEM
		CHARACTER*128 txt
	CHARACTER*2 AYR,st,BYR,BMN,BDY
	+,AMN,PYR,PMN,AYRI,AMNI
	CHARACTER*1 ft
      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
	COMMON   /CONST/UMR
C
 	 UMR=.0174533
      PHI=3.141593
Crem	ft='f'		!fcF2
      ft='t'  ! TEC
	st='tr' !Temp
C

C=    WRITE(*,*)' CHECK AVAILABILITY of fc/tc files and .wYR Files'
C=	pause  ' '
	WRITE(*,*)' ENTER YR OF INPUT FILE=	'
	read(*,17) AYR
CREM	AYR='15'
	AYRI=AYR
	write(*,*) AYR
   17 format (A2)
cc	write(*,17) ' YR=',ayr
	read(AYR,*) ryr
	IYR=int(ryr)   ! current yr
	iyri=iyr
	pyr=AYR ! prec_year
	jyr_pre=iyr
C
	WRITE(*,*)' ENTER CURRENT MN'
	READ(*,13) IMN
crem	imn=02
   13 FORMAT(I2)
  177	call blet2(imn,amn)  ! current month
		write(*,*) AMN
	AMNI=AMN
	imni=imn
	jmn_pre=imn
C
	WRITE(*,*)' ENTER IDY1,idyend'
	READ(*,13) IDY1,idyend
200   continue	  

C
	if (iyr.lt.90) then
	iyyyy=2000+iyr
	              else
	iyyyy=1900+iyr
	endif
	z1=iyyyy/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyyyy) THEN
               IM(2)=29
	dnr=366.
        ELSE
                IM(2)=28
	  	dnr=365.
	       ENDIF
	idy1=1
	idy2=im(imn)
C preceding month:
	if (imn.gt.1) then
	jmn_pre=imn-1			 ! prec_mn
	else
	jmn_pre=12				 ! prec_mn
	jyr_pre=iyr-1			 ! prec_yr
	if (jyr_pre.lt.0) jyr_pre=100+jyr_pre ! 1998 or 1999
	call blet2(jyr_pre,PYR)  ! prec_yr
	endif
	call blet2(jmn_pre,PMN)   ! prec_mn
C
C 255	idy2=idy1
C      call blet2(idy1,ady1)
C
C
C
 255    	 infile1='d:\web\dat7\YY\stYRMNt.txt'   ! preceding mn
	infile1(16:17)=st
	 infile2=infile1  ! current mn
 	infile1(13:14)=pyr
 	infile1(18:19)=pyr
	infile1(20:21)=pmn
 	infile2(13:14)=ayr
 	infile2(18:19)=ayr
	infile2(20:21)=amn
C
	outfile='d:\web\dat4\YY\stYRMMw.txt'   ! current mn
	outfile(16:17)=st
	outfile(13:14)=ayr
	outfile(18:19)=ayr
	outfile(20:21)=amn
		OPEN(112,FILE=OUTFILE)
	OUTFILEM=outfile
	outfilem(11:11)='2'
	outfilem(22:22)='m'
	OPEN(113,FILE=OUTFILEM)
C
   30	format(A48)
C
C  Start cycle on UT		=======================================================================
C
C
C//	DO 300 iut=0,23
C//	call blet2(iut,AUT)
C add 
		ut=float(iut)
 
C  Avoid input of prec. month:
crem	nnd1=idy1-6
      ncnt=0        ! count of days 1,2,...,7   
      if (idy1.ge.7) goto 230	  ! goto input of current month
C  1st input of preceding mon-data

C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

	nndy=im(jmn_pre)	  ! prec. mn
	nnd1=nndy-5
C
		OPEN(109,FILE=INFILE1,action='READ')
	do k=1,4
	read(109,700) txt !title lines
	enddo
C  day-to-day input for prec mon
C
	DO 400 jdy_pre=1,nndy  ! for all UT
crem	lday_pre=ndoy(jyr_pre,jmn_pre,jdy_pre) ! function to define day-of-year
c?	call blet2(jdy_pre,PDY)
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  501	READ (109,107,END=106,ERR=2) BYR,BMN,BDY,(rx(k),k=0,23)
C
C
c.		! TEC 
	   do k=0,23		 !<<<<<<<<<<<<<<<<<<
	da(8,k)=rx(k) ! TEC 
	enddo
C Move data day-by-day up so that last day of month nndy=>day_8:
C
	do j=1,8			  ! <day-by-day
	do k=0,23			  ! all longi
	da(j-1,k)=da(j,k) ! move data one day up  
	enddo				  ! all days
	enddo				   ! all lati
C
  107	FORMAT(3A2,24(1X,F4.1))		   
	ncnt=ncnt+1
  400	CONTINUE		  !<day-by-day
  106	close(unit=109)					!     end of prec_mn input

C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C start cycle on day-to-day for current mon  ======================================
C
  230	continue
	nndy=im(imn)	 ! end of current month
		OPEN(110,FILE=INFILE2)
	do k=1,4
	read(110,700) txt !title lines
	if (k.eq.1) txt(13:13)='W'
	write(112,700) txt
	enddo
C
c?  490 format(1X,' year=',I2,' month=',I2,' day=',I2,' ut=',I2)
	idy=0
  499	idy=idy+1	 ! day-by-day input for idy=nndy,...,idy3, current month
      lday=ndoy(iyr,imn,idy) ! function to define day-of-year
      if (idy.gt.idy2) then
	goto 500 ! end of day-to-day processing 
	endif
      if (idy.gt.nndy) then
	idy=1
	imn=imn+1
	endif
  700 format(A128)
C
 704 	READ (110,107,END=108,ERR=2) BYR,BMN,BDY,(rx(k),k=0,23)
C
C
	   do k=0,23		 !<<<<<<<<<<<<<<<<<<
	ddd=rx(k)
	da(8,k)=ddd  ! TEC 
	   enddo			  !<<<<<<<<<<<<<<<<<<<<<<<<<
C Move data day-by-day up so that last day of month nndy=>day_8:
C
	do j=1,8			  ! <day-by-day
	do k=0,23			  ! all longi
	da(j-1,k)=da(j,k) ! move data one day up  
	enddo				  ! all days
	enddo				   ! all lati
	ncnt=ncnt+1
		if (ncnt.lt.7) goto 499
C++
      lda=ndoy(iyr,imn,idy) ! function to define day-of-year
C
C
C  VERIFICATION OF MEDIAN	FOR TEC-xhi_MAP(long,lat) for one day (28)
  115  LDNR=7
       LDY1=1  ! for 27 prec days median
cc---       LDY1=21  ! for 7 prec days median
c
        DO 144 M=0,23				  ! cycle on UT
        MM=0
        DO 124 N=LDY1,LDNR			  ! collect data for prec days LDY1...,27
       X1(N,M)=da(n,m)
 124   CONTINUE

 	do nn=1,7
	x2(nn,M)=0.
	enddo

 127  XX=0.
C  : MAX X1(N)
 128  DO 130 N=1,7
      IF (XX.LT.X1(N,M)) XX=X1(N,M)
 130  CONTINUE

      IF (XX.EQ.0.) GOTO 137
      DO 135 N=1,7
      IF (X1(N,M).LT.XX) GOTO 135
      MM=MM+1
	X2(MM,M)=XX 
	X1(N,M)=0.
 135  CONTINUE
      IF (MM.LT.7) GOTO 127
 137  XMM=float(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=float(ND1)  
      ND2=ND1+1 
	IF (CD1.LT.XD1) THEN 
 	XMD=X2(ND2,M)
	else
 	XMD=(X2(ND1,M)+X2(ND2,M))/2.
	endif
      XMED(M)=XMD
C Calculation of W index for idy (28 line of days)
      xpar=da(7,m)
	devlog=0.
	call windex(xpar,xmd,devlog,iwind)
	DEV(m)=devlog
	IRES(m)=iwind
	amed=xmd
	if (ft.eq.'f') amed=sqrt(xmd)
	imed(m)=nint(amed*10.)
 144  CONTINUE        ! cycle M ~ glong
 	WRITE(*,105) BYR,BMN,BDY,(IRES(K),K=0,23)
 	WRITE(112,105) BYR,BMN,BDY,(IRES(K),K=0,23)
 	WRITE(*,105) BYR,BMN,BDY,(IMED(K),K=0,23)
 	WRITE(113,105) BYR,BMN,BDY,(IMED(K),K=0,23)

C		 
c? 150	continue         ! cycle ilat
C
C END OF MEDIAN_TECxhi_MAP FOR DAY idy(28)
C ------------------------------------------------------
C
  105	FORMAT(3A2,24(1X,I4))		   

 202  CONTINUE
C
C Move data one day up: 
C
 	do j=1,8			  ! <day-by-day
	do k=0,23			  ! all longi
	da(j-1,k)=da(j,k) ! move data one day up 
	enddo				  ! all longi
	enddo				  !<day-by-day
	 ncnt=6
      goto 499		  ! to the next day processing
C	  						  !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
C
C =========================================
  500 continue   ! end day-by-day cycle     !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
  108	close(UNIT=110)
	CLOSE(unit=112)
	CLOSE(unit=113)
	imn=imni

c?  300 CONTINUE		! end UT cycle
      GOTO 102
    2 CONTINUE
	       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
	   	pause ' '
    5	iend=1
  102	continue
C
	pause ' ' 
      STOP
	END
